body {
    background: #fafafa;
    display: grid;
    font-family: "Raleway", sans-serif;
    place-items: center;
    height: 100vh; /* Adjust this if needed */
}

h1 {
    text-align: center;
    padding: 30px 0 0 0;
}

h4 {
    font-size: 1.2em;
    text-align: center;
    padding: 0 0 30px 0;
}

.container {
    transform: scale(0.7);
}

.timeline {
    list-style: none;
    padding: 20px 0 20px;
    position: relative;
}

.timeline:before {
    top: 0;
    bottom: 0;
    position: absolute;
    content: "";
    width: 3px;
    background-color: #d9d9d9;
    margin-left: -1.5px;
    left: 20px;
}

@media (min-width: 576px) {
    .timeline:before {
        left: 50%;
    }
}

.timeline > li {
    margin-bottom: 20px;
    position: relative;
    padding-left: 55px;
}

.timeline > li:after, .timeline > li:after {
    content: "";
    display: table;
    clear: both;
}

.timeline > li .panel {
    width: 100%;
    float: left;
    border-radius: 3px;
    overflow: hidden;
    position: relative;
    background: #fff;
    box-shadow: 1px 2px 80px 0 rgba(0, 0, 0, 0.1);
}

.timeline > li .panel summary {
    display: block;
    user-select: none;
    outline: none;
    padding: 20px;
    margin-bottom: 0px;
    transition: all 600ms cubic-bezier(0.23, 1, 0.32, 1);
    transition-property: margin, background;
    font-weight: 600;
}

.timeline > li .panel summary::-webkit-details-marker {
    display: none;
}

.timeline > li .panel summary:hover {
    background: rgba(0, 0, 0, 0.1);
}

.timeline > li .panel p {
    padding: 0 20px 10px;
}

.timeline > li .panel[open] summary {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

@media (min-width: 576px) {
    .timeline > li {
        padding-left: 0px;
    }

    .timeline > li .panel {
        width: 50%;
    }

    .timeline > li:not(:nth-child(even)) {
        padding-right: 90px;
    }

    .timeline > li:nth-child(even) {
        padding-left: 90px;
    }

    .timeline > li:nth-child(even) > :nth-child(even) {
        float: right;
    }
}

.timeline > li > .icon {
    color: #d9d9d9;
    width: 50px;
    height: 50px;
    line-height: 50px;
    font-size: 2.5em;
    text-align: center;
    position: absolute;
    left: 20px;
    margin-left: -25px;
    background-color: #fafafa;
    z-index: 999;
    border-radius: 50%;
    font-family: Font Awesome\ 5 Free;
}

.timeline > li > .icon:before {
    content: "";
}

@media (min-width: 576px) {
    .timeline > li > .icon {
        left: 50%;
    }
}

.timeline > li > .icon.done {
    color: #23b5af;
}

.timeline > li > .icon.done:before {
    content: "";
}

.timeline > li > .icon.working {
    color: #eeba4c;
}

.timeline > li > .icon.working:before {
    content: "";
}


.stato {
    max-width: 100%;
    max-height: 100%;
    background-color: rgba(205, 205, 205, 0.3);
    border-radius: 20px;
    /*box-shadow: 0px 0px 10px 0px rgba(104, 104, 104, 0.3);*/
    height: 800px;
    width: 98%;
    padding-right: 25px; /* Adjust as needed */
    margin-top: 20px;
}


* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


header {
    margin: auto;
    position: fixed;
    top: 10px;
    border-radius: 18px;
    width: 80%;
    padding: 1rem 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 5;
    background: rgba(0, 0, 0, 0.67);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    max-height: 80px;
}

.logo {
    width: 40px;
}

.nav-item {
    position: relative;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    line-height: 25px;
    letter-spacing: -0.13px;
    text-decoration: none;
    margin-left: 2.5rem;
    transition: all 0.5s ease;
}

.nav-item:hover {
    color: rgb(168, 239, 255, 0.9);
}

.nav-item::after {
    content: "";
    position: absolute;
    bottom: -0.3rem;
    left: 50%;
    width: 0;
    height: 0.15rem;
    transform: translateX(-50%);
    background-color: rgb(168, 239, 255, 0.9);
    transition: all 0.5s ease;
}

.nav-item:hover::after {
    width: 100%;
}

.icons {
    position: absolute;
    right: 5%;
    font-size: 2.3rem;
    color: #fff;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.content h1 {
    font-size: 8rem;
    font-weight: 600;
    -webkit-text-stroke: 2px rgb(168, 239, 255, 1);
    color: transparent;
    transition: all 0.5s ease;
}

.btn {
    width: 180px;
    height: 50px;
    border-radius: 5px;
    background: transparent;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transition: all 0.3s ease-in;
}

.btn:hover {
    transform: translateY(-5px);
}

.light::before {
    content: "";
    position: absolute;
    background-image: conic-gradient(
            rgb(168, 239, 255, 1) 20deg,
            transparent 150deg
    );
    width: 400%;
    height: 400%;
    border-radius: 5px;
    animation: rotate 3s linear infinite;
}

.light::after {
    content: "Explore";
    position: absolute;
    width: 170px;
    height: 40px;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(35px);
    -webkit-backdrop-filter: blur(35px);
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    border-radius: 5px;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.background-video {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-color: black;
}

@media (min-aspect-ratio: 16/9) {
    .background-video {
        width: 100%;
        height: auto;
    }
}

@media (max-aspect-ratio: 4/3) {
    .background-video {
        width: auto;
        height: 100%;
    }
}

@media (max-width: 900px) {
    header {
        padding: 1.3rem 5%;
    }

    .content h1 {
        font-size: 7rem;
    }
}

@media (max-width: 700px) {
    header::before {
        content: "";
        top: 0;
        left: 0;
        position: absolute;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(50px);
        z-index: -1;
    }

    .icons {
        display: inline-flex;
    }

    #check:checked ~ .icons #menu-icon {
        display: none;
    }

    .icons #close-icon {
        display: none;
    }

    #check:checked ~ .icons #close-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background: rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(50px);
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
        overflow: hidden;
        transition: all 0.3s ease;
    }

    #check:checked ~ .navbar {
        height: 17.7rem;
    }

    .nav-item {
        display: block;
        font-size: 1.1rem;
        margin: 2rem 0;
        text-align: center;
        transform: translateY(-50px);
        opacity: 0;
        transition: all 0.3s ease;
    }

    .nav-item:hover::after {
        width: auto;
    }

    #check:checked ~ .navbar a {
        transform: translateY(0);
        opacity: 1;
        transition-delay: calc(0.15s * var(--i));
    }
}

@media (max-width: 620px) {
    .content h1 {
        font-size: 5rem;
    }
}

@media (max-width: 450px) {
    .content h1 {
        font-size: 3rem;
    }

    .btn {
        width: 130px;
    }

    .light::after {
        width: 120px;
        font-size: 0.9rem;
    }
}


button {
    position: relative;
    padding: 10px 20px;
    border-radius: 15px;
    border: 1px solid rgb(61, 106, 255);
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 2px;
    background: transparent;
    color: #fff;
    overflow: hidden;
    box-shadow: 0 0 0 0 transparent;
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
    width: 200px;
    height: 70px;
    margin-top: 20px;
}

button:hover {
    background: rgb(61, 106, 255);
    box-shadow: 0 0 100px 0 rgba(0, 142, 236, 0.815);
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}

button:hover::before {
    -webkit-animation: sh02 0.5s 0s linear;
    -moz-animation: sh02 0.5s 0s linear;
    animation: sh02 0.5s 0s linear;
}

button::before {
    content: '';
    display: block;
    width: 0px;
    height: 86%;
    position: absolute;
    top: 7%;
    left: 0%;
    opacity: 0;
    background: #fff;
    box-shadow: 0 0 50px 30px #fff;
    -webkit-transform: skewX(-20deg);
    -moz-transform: skewX(-20deg);
    -ms-transform: skewX(-20deg);
    -o-transform: skewX(-20deg);
    transform: skewX(-20deg);
}

@keyframes sh02 {
    from {
        opacity: 0;
        left: 0%;
    }

    50% {
        opacity: 1;
    }

    to {
        opacity: 0;
        left: 100%;
    }
}

button:active {
    box-shadow: 0 0 0 0 transparent;
    -webkit-transition: box-shadow 0.2s ease-in;
    -moz-transition: box-shadow 0.2s ease-in;
    transition: box-shadow 0.2s ease-in;
}

.logo {
    width: 100px;
    height: 100px;
    /*background-color: #22b07d;*/
    flex-shrink: 0;
    color: #fff;
    align-items: center;
    /*border-radius: 50%;*/
    justify-content: center;
}

.logo-principale {
    width: 75px;
    height: 75px;
    margin-left: 3px;
    position: relative;
    top: 10px;
}

.chess {
    font-weight: bold;
    font-size: 8rem;
    color: white;
}

.mate {
    font-weight: bold;
    font-size: 8rem;
    color: #0C8CE9;
}


.demo {
    margin-top: -100px;
}

.box span {
    width: 20px;
    height: 20px;
    display: block;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(45deg);
    position: relative;
    margin-top: -35px;
    left: -3px;
    animation: animate 2s infinite;
}

.box span:nth-child(2) {
    animation-delay: -0.2s;
}

.box span:nth-child(3) {
    animation-delay: -0.4s;
}

@keyframes animate {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
        transform: rotate(45deg) translate(10px, 10px);
    }
    100% {
        opacity: 0;
    }
}
